Name: 		keycodes-setup
Version: 	0.0.1
Release: 	1.1.moblin2
Summary: 	Startup script to setup device specific keycodes

Group: 		System Environment/Libraries
License: 	GPLv2
URL:		http://www.moblin.org
Source0: 	keycodes-setup
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Simple startup script to call setkeycodes for various device specific unmapped
keycodes.  For example the Compal JAX10 MID has a 'Smart Key' that is not
mapped to a standard keycode, requiring a 'setkeycodes XXX YYY' on each boot.

Requires: %{name} >= %{version}


%install
rm -fR %{buildroot}

mkdir -p %{buildroot}/etc/init.d
cp -a %{SOURCE0} %{buildroot}/etc/init.d/keycodes-setup
chmod 755 %{buildroot}/etc/init.d/keycodes-setup

%clean
rm -fR %{buildroot}

%post
chkconfig --add keycodes-setup

%preun
chkconfig --del keycodes-setup

%files
%defattr(-, root, root, -)
/etc/init.d/keycodes-setup

%changelog
* Fri Oct  2 2009 Rusty Lynch <rusty.lynch@intel.com> - 0.0.1
- Initial packaging
